---
lecture: "3"
---
A problem formulation consists of the following components:
1. An initial state
2. A set of possible actions
3. A transition model describing the results of those actions
4. A goal test function
5. A path cost function

These implicitly define a **state space**, which is an abstraction of the real world. A path from the initial state to a goal state in this space is a solution. Finding this path can be achieved by several [[Search Algorithms|search algorithms]]. This is called **solving by search**, which is an offline, simulated exploration of the state space where successors of explored states are generated by expanding known states.

The set of all states reachable from the initial state by any sequence of actions forms a **directed graph**.

**Example**
For example, lets consider the 8-puzzle game:
![[8_puzzle.png]]
1. **Initial state**: Any location of each of the 8 tiles and the blank in one of the 9 squares
2. **Actions**: Movements of the blank space to the left, right, up, or down
3. **Transition model**: Given a state and action, this returns the resulting state; for example if we apply Left to the start state in the figure, the resulting state has the 5 and the blank switched
4. **Goal test**: Checks if the state matches the goal configuration
5. **Path cost**: Each step costs 1

